using System;
using System.Collections.Generic;
using DxLibDLL;
using System.Collections;

namespace HH
{
    class AttackSequence3wayDownCont : AttackSequenceBasic
    {

        public AttackSequence3wayDownCont(CBasic attacker, CBasic target)
            : base(attacker, target)
        {

        }

        //public void action()
        //{
        //    base.action();

            /*
            if (this.timer == 100)
            {
                this.timer = 0;

                CBasic virtualEnemy = CBasic.virtualCharacter(attacker) ;

                EnemyBulletA eb1 = new EnemyBulletA(attacker);
                EnemyBulletA eb2 = new EnemyBulletA(attacker);
                EnemyBulletA eb3 = new EnemyBulletA(attacker);
                eb1.velocity = 5.2 * Vector.unitvector(attacker.position, target.position);
                eb2.velocity = 5.2 * Vector.unitvector(attacker.position, target.position).rot(30);
                eb3.velocity = 5.2 * Vector.unitvector(attacker.position, target.position).rot(-30);


                Program.game.newEnemyList.Add(eb1);
                Program.game.newEnemyList.Add(eb2);
                Program.game.newEnemyList.Add(eb3);
            }
             * */
        //}
    }
}
